Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586497 - Licensing information overall vision
Licensing information overall vision
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 14:02 EDT by Máirín Duffy
Modified: 2018-07-24 11:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2010-04-27 14:02:13 EDT
Description of problem:

I think we need to revisit how we present licensing information to users, both in Fedora (right now we have it in firstboot) and on our website.

Do we just want to display this information to be compliant? Or do we want to really put in the effotr to help make the information accessible to users so they understand it at a deeper level?

There's been some really good research by Michael Terry's group at the University of Waterloo on software license agreements, and how modifying their presentation affects how much time users spend reading them and how much of them that they read. They've come up with some useful conclusions. Their main project page is here:

http://hci-web.cs.uwaterloo.ca/research/textured

Michael actually gave a Google tech talk on this research and the video is available and is a easy watch. The topic starts around 19:00 in the video and he finishes up around 40:00: http://www.youtube.com/watch?v=mebqm-sTPXo
Comment 1 Bug Zapper 2010-07-30 07:29:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Elad Alfassa 2011-04-27 01:23:24 EDT
Adding the FutureFeature tag, moving to rawhide.
I think this issue is important, we should present licensing information in a simple way (probably graphic, with the minimum amount of words, pandas will probably fit), to help new users understand what do we mean by "freedom".
The first place the user see the licensing information is firstboot, so we should work on it first.
When we have a good way of presenting this information, we should add it to the website as well.

I hope it'll be fixed for F16 :-)

Note You need to log in before you can comment on or make changes to this bug.